<div class="app bg flex-row align-items-center ">
  <div class="h-100 bg-plum-plate bg-animation">
    <div class="d-flex h-100 justify-content-center align-items-center">
      <div class="mx-auto app-login-box col-md-8">
        <div class="modal-dialog w-100 mx-auto">
          <div class="modal-content">
            <form class="login">
              <div class="modal-body">
                <div class=" mx-auto mb-3" style="text-align: center;">
                  <img width="40" src="./assets/images/logo-inet1.png" style="width: 10em;" alt="">
                </div>
                <div class="h5 modal-title text-center">
                  <h4 class="mt-2">
                    <div>IT Outsource Support</div>
                    <span>Please sign in to your account below.</span>
                  </h4>
                </div>
                <div id="exampleInputGroup1" role="group" aria-describedby="exampleInputGroup1__BV_description_"
                  class="form-group">
                  <div><input [(ngModel)]="username" name="username" maxlength="30" type="text" class="form-control"
                      placeholder="Username" autocomplete="username" required>

                  </div>
                </div>
                <div role="group" class="form-group">
                  <div>
                    <input [(ngModel)]="password" name="password" maxlength="30" type="password" class="form-control"
                      placeholder="Password" autocomplete="password">
                  </div>
                </div>
                <div class="error mb-2" *ngIf="error_msg">
                  *{{error_msg}}
                </div>
                <div class="login-button clearfix">
                  <div>
                    <button type="submit" class="btn px-4" routerLink="/overview/dashboard"
                      style="background: #3aafa9;color: #feffff" *ngIf="!loading_status" type="submit"
                      id="login">Login</button>



                    <button type="submit" class="btn px-4 " (click)="login(openmodal)"
                      style="background: #3aafa9;color: #feffff" role="status" *ngIf="loading_status" disabled>
                      <div class="spinner-grow text-light" role="status">
                        <span class="sr-only">Loading...</span>
                      </div>
                    </button>
                  </div>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>

  <ng-template #openmodal let-c="close" let-d="dismiss">
    <div class="modal-header">
      <h4 class="modal-title"> Select Company</h4>
    </div>
    <div class="card-body">
      <div class="form-group">
        <label for="street">Select</label>
        <div class="position-relative form-group">
          <select name="select" id="exampleSelect" class="form-control" [(ngModel)]="company_id">
            <option *ngFor="let c of company" [value]="c.company_id">{{c.company_name}}</option>
          </select>
        </div>
      </div>
      <div class="alert alert-danger" *ngIf="check_error == true" role="alert">
        {{message_select}}
      </div>


    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="clearModal(c)">Close</button>
      <button type="button" class="btn btn-primary" (click)="setCompanyId(company_id,c)">OK</button>
    </div>
  </ng-template>